# $Revision: 1.17 $, $Date: 2002/06/30 10:24:21 $
%define		mod_name	gunzip
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: On-the-fly decompression of HTML documents
Summary(es):	Descompresin instantanea de archivos HTML para Apache
Summary(pl):	Modu do apache: dekompresuje dokumenty HTML w locie
Summary(pt_BR):	Descompresso "On-the-fly" de arquivos HTML para o Apache
Name:		apache-mod_%{mod_name}
Version:	1
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://sep.hamburg.com/mod_%{mod_name}.tar.gz
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
BuildRequires:	zlib-devel
Prereq:		%{_sbindir}/apxs
Requires:	apache(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
Apache module: On-the-fly decompression of HTML documents.

%description -l es
Descompresin instantanea de archivos HTML para Apache.

%description -l pl
Modu do apache: dekompresuje dokumenty HTML w locie.

%description -l pt_BR
Descompresso "On-the-fly" de arquivos HTML para o Apache.

%prep
%setup -q -n mod_%{mod_name}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%post
%{_sbindir}/apxs -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	%{_sysconfdir}/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_gunzip.spec,v $
Revision 1.17  2002/06/30 10:24:21  kloczek
- release 4.

Revision 1.16  2002/04/25 15:45:58  arturs
fixed a small typo

Revision 1.15  2002/02/23 01:23:22  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/17 21:07:06  ankry
- release 3

Revision 1.12  2002/02/17 18:52:19  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.11  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/19 08:43:40  qboosh
- moved Conectiva es,pt_BR translations from apache-mod_throttle to proper spec

Revision 1.9  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.8  2000/09/09 07:00:07  kloczek
- release 2.

Revision 1.7  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.6  2000/04/04 08:57:21  kloczek
- Requires: apache(EAPI).

Revision 1.5  2000/04/04 08:47:36  kloczek
- release 1,
- spec adapterized,
- build against apache(EAPI).

Revision 1.4  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.2  1999/09/25 19:29:24  kloczek
- cosmetics.

Revision 1.1  1999/09/22 09:33:34  wiget
- Apache module: On-the-fly decompression
